Message Audit Logs
curl --request GET \
--url https://api-prod.syntr.co/api/v1/email-marketing/emails \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-prod.syntr.co/api/v1/email-marketing/emails"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-prod.syntr.co/api/v1/email-marketing/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "msg_1",
"email": "user@test.com",
"status": "delivered",
"sent_at": "2024-03-18T10:00:00Z",
"opened_at": null
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 100,
"pages": 5
}
}
Transactional API
Message Audit Logs
Access a detailed audit trail of all developer-triggered messages and their current delivery status.
GET
/
emails
Message Audit Logs
Query Parameters
integer
Page number
string
Filter: sent, failed, bounced, complaint, opened, clicked
string
Search by email, name, or subject
string
Search by unique tracking ID
{
"success": true,
"data": [
{
"id": "msg_1",
"email": "user@test.com",
"status": "delivered",
"sent_at": "2024-03-18T10:00:00Z",
"opened_at": null
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 100,
"pages": 5
}
}
⌘I

